aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRyan Harkin <ryan.harkin@linaro.org>2015-06-30 13:47:37 +0100
committerRyan Harkin <ryan.harkin@linaro.org>2015-07-01 18:05:53 +0100
commit33599cbe18b27003e81edc128a0b4cb1af56aff4 (patch)
tree36a8c9de5221b590c46b40b34d4f4ce35df91bd9
parent849fbcd803566efc953463b665fcba990484e66c (diff)
Improve output dir cleanup after packaging
build-target-bins.sh was cleaning up the Juno directory, however, as we add more platforms, I realised that we need to clean up those listed in the TARGET_BINS_PLATS variable. Also improved the general cleanups. Signed-off-by: Ryan Harkin <ryan.harkin@linaro.org>
-rwxr-xr-xbuild-target-bins.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/build-target-bins.sh b/build-target-bins.sh
index 445e560..ad65f4d 100755
--- a/build-target-bins.sh
+++ b/build-target-bins.sh
@@ -261,12 +261,12 @@ do_package()
# clean up unwanted artifacts left in output directory
pushd ${OUTDIR}
- rm uInitrd-android.* || :
- rm uInitrd-oe.* || :
+ rm uInitrd-* || :
rm ramdisk*.img || :
rm -rf linux || :
- rm -rf juno || :
+ rm -rf ${TARGET_BINS_PLATS} || :
rm -rf oe || :
+ rm -rf busybox || :
popd
fi
}